@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM
@REM  Usage:
@REM		enviSetup.bat   <<domainName>>   <<containerSize>>
@REM
@REM  <<domainName>>		Catalog servers domain name
@REM  <<containerSize>>		Container server size

@REM **************************************
@REM Common variable
@REM **************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..
set derbyLoc=%scriptLoc%..\..\wxs\derby
set derbyDBLoc=%derbyLoc%\scripts\wxsdb

@REM **************************************
@REM Handle parameters
@REM **************************************
set domainName=%1
set containerSize=%2

if '%domainName%'=='' (
	@echo Domain name not set.  Please check usage
	GOTO DisplayUsage
)
if '%containerSize%'=='' (
	@echo Container size not set.  Please check usage
	GOTO DisplayUsage
)

@REM **************************************
@REM Call DB start up script
@REM **************************************
netstat -ano | findstr 0.0.0.0:1527
if %ERRORLEVEL% equ 0 (
	@echo Derby database server already started at port 1527
) ELSE (
	@echo Starting Derby database......
	call %derbyLoc%\scripts\startNetWorkServer.bat
	if NOT EXIST %derbyDBLoc% (
		@echo Loading Derby database......
		call %derbyLoc%\scripts\loadSchema.bat
	)
)

@REM **************************************
@REM Create default servers for multi-grids
@REM **************************************
@echo Creating Default Grid Servers......
call createDefaultServers.bat

@REM **************************************
@REM Start default servers for multi-grids
@REM **************************************
@echo Starting Default Grid Servers......
call startDefaultGridServers.bat

@REM **************************************
@REM Start all servers
@REM **************************************
@REM %ecaasRoot%\ecaasStart.bat

GOTO End

:DisplayUsage
@echo  ---------------------------------------------------
@echo  Usage:
@echo		enviSetup.bat   {domainName}   {containerSize}
@echo  {domainName}			Catalog servers domain name
@echo  {containerSize}		Container server size
@echo  ---------------------------------------------------

:End

