@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

set "noInstall=%1"

@REM Get root location of installation
cd %~dp0\..\..\..
set rootLoc=%CD%
cd %~dp0

call "%rootLoc%\wxs\exportCommons.bat"

set configFile=conf\derbyWrapper.conf
set derbyLoc=%rootLoc%\wxs\derby

@REM Add parameters to wrapper config
echo wrapper.java.command=%JAVA_CMD:\=\/% >> %configFile%

set configuredKey=#DERBY CONFIGURED#

find /c "%configuredKey%" %configFile% > nul
IF %ERRORLEVEL% EQU 0 GOTO POSTCONFIG
	echo wrapper.java.additional.2=-Djava.security.manager >> %configFile%
	echo wrapper.java.additional.3=-Djava.security.policy=%rootLoc:\=\/%\/wlp\/startscripts\/nanny\/yajsw.policy.txt >> %configFile%
	echo wrapper.java.additional.4=-Dderby.install.url=file:/%derbyLoc:\=\/%\/release\/lib\/ >> %configFile%
	
	echo wrapper.java.additional.5=-Dderby.system.home=%derbyLoc:\=\/%\/scripts >> %configFile%
	echo wrapper.java.additional.6=-Dij.protocol=jdbc:derby://localhost/ >> %configFile%
	echo wrapper.java.additional.7=-Dyajsw.home=/%rootLoc:\=\/%\/wlp\/startscripts\/nanny >> %configFile%
	
	echo wrapper.java.app.jar = %derbyLoc:\=\/%\/release\/lib\/derbyrun.jar >> %configFile%
	echo wrapper.working.dir = %rootLoc:\=\/%\/wlp\/startscripts\/nanny >> %configFile%
	echo wrapper.logfile = %rootLoc:\=\/%\/wlp\/startscripts\/nanny\/log\/derby.log >> %configFile%
	
	@REM Create groovy script to run stopNetWorkServer.bat
	echo println(['%derbyLoc:\=/%/scripts/stopNetWorkServer.bat'].execute().text) > scripts\cleanup.gv
	
	echo "%configuredKey%" >> %configFile%
:POSTCONFIG

@REM Create the log folder 
IF NOT EXIST log md log


IF NOT '%noInstall%'=='true' GOTO YAJSWINSTALL

@REM Make a folder for jna temp files
IF NOT EXIST "%~dp0jnatmp" mkdir "%~dp0jnatmp"

set "derbyExec=\"%JAVA_CMD%\" -classpath \"%~dp0wrapper.jar\" -Xrs -Dwrapper.service=true \"-Dwrapper.working.dir=%~dp0..\nanny\" \"-Dwrapper.config=%~dp0\%configFile%\" -Dwrapper.additional.1x=-Xrs \"-Djna_tmpdir=%~dp0jnatmp\" org.rzo.yajsw.boot.WrapperServiceBooter"
sc create "XS-Derby" binpath= "%derbyExec%" start= auto
	
GOTO SETRESTART

:YAJSWINSTALL

@REM Install xs derby from YAJSW
"%JAVA_CMD%" -jar wrapper.jar -i %configFile% > log\derbyInstall.log

:SETRESTART

sc failure "XS-Derby" reset= 0 actions= restart/30000
sc failure "XS-Derby" reset= 1 actions= restart/30000
sc failure "XS-Derby" reset= 2 actions= restart/30000

@REM Start installed xs derby service
IF NOT '%noInstall%'=='true' net start XS-Derby

echo installStartDerbyService completed
