@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM

For /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set mydate=%%c-%%a-%%b)
For /f "tokens=1-2 delims=/:" %%a in ('time /t') do (set mytime=%%a%%b)
echo "[%mydate%_%mytime%]: Watchdog will start in 30 seconds..."
echo "[%mydate%_%mytime%]: Watchdog will start in 30 seconds..."  > wd.log
timeout 30  >> wd.log
For /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set mydate=%%c-%%a-%%b)
For /f "tokens=1-2 delims=/:" %%a in ('time /t') do (set mytime=%%a%%b)
echo "[%mydate%_%mytime%]: Watchdog starts ..."
echo "[%mydate%_%mytime%]: Watchdog starts ..."  >> wd.log


set startadmin=false
set startgrid=false
set stopderby=false
set restartderby=false
set startSlaveReplica=false
set startMasterReplica=false


:LOOP


echo "Sleep for 20 seconds..." >> wd.log
timeout 20  >> wd.log

echo Check if the restart servers flag exists...
echo Check if the restart servers flag exists... >> wd.log

if exist startadmin.flg (
    echo Found startadmin.flg. Set startadmin to be true...
    echo Found startadmin.flg. Set startadmin to be true...  >> wd.log
    set startadmin=true
) 

if exist startgrid.flg (
    echo Found startgrid.flg. Set startgrid to be true...
    echo Found startgrid.flg. Set startgrid to be true...  >> wd.log
    set startgrid=true
)

if exist stopderby.flg (
    echo Found stopderby.flg. Set stopderby to be true...
    echo Found stopderby.flg. Set stopderby to be true...  >> wd.log
    set stopderby=true
)

if exist restartderby.flg (
    echo Found restartderby.flg. Set restartderby to be true...
    echo Found restartderby.flg. Set restartderby to be true...  >> wd.log
    set restartderby=true
)

if exist startSlaveReplica.flg (
    echo Found startSlaveReplica.flg. Set startSlaveReplica to be true...
    echo Found startSlaveReplica.flg. Set startSlaveReplica to be true...  >> wd.log
    set startSlaveReplica=true
)

if exist startMasterReplica.flg (
    echo Found startMasterReplica.flg. Set startMasterReplica to be true...
    echo Found startMasterReplica.flg. Set startMasterReplica to be true...  >> wd.log
    set startMasterReplica=true
)





if "%startadmin%" == "true" (
  if "%startgrid%" == "true" (
    echo "Running restartServers with true true..."
    cd ..\
    call restartServers.bat true true
    cd nanny
    
    echo Delete startadmin.flg. Set startadmin to be false...
    echo Delete startadmin.flg. Set startadmin to be false...  >> wd.log
    set startadmin=false
    erase startadmin.flg
    
    echo Delete startgrid.flg. Set startgrid to be false...
    echo Delete startgrid.flg. Set startgrid to be false...  >> wd.log
    set startgrid=false
    erase startgrid.flg
  )
)
 
if "%startgrid%" == "false" (
  if "%startadmin%" == "true" (
    echo "Running restartServers with true false..."
    cd ..\
    call restartServers.bat true false
    cd nanny
 
    echo Delete startadmin.flg. Set startadmin to be false...
    echo Delete startadmin.flg. Set startadmin to be false...  >> wd.log
    set startadmin=false
    erase startadmin.flg
  )
)
 
if "%startgrid%" == "true" (
  if "%startadmin%" == "false" (
    echo "Running restartServers with false true..."
    cd ..\
    call restartServers.bat false true
    cd nanny
 
    echo Delete startgrid.flg. Set startgrid to be false...
    echo Delete startgrid.flg. Set startgrid to be false...  >> wd.log
    set startgrid=false
    erase startgrid.flg
  )
)


if "%stopderby%" == "true" (
  if exist stopderby.flg (
    echo "Running stopderby in 2 seconds ..."
    timeout 2  >> wd.log
    cd ..\..\..\derby\scripts
    call stopNetWorkServer
    cd ..\..\wlp\startscripts\nanny
    echo Delete stopderby.flg. Set stopderby to be false...
    echo Delete stopderby.flg. Set stopderby to be false...  >> wd.log
    set stopderby=false
    erase stopderby.flg
  )
)

if "%restartderby%" == "true" (
  if exist restartderby.flg (
    echo "Running restartderby ..."
    cd ..\..\..\derby\scripts
    call stopNetWorkServer
    timeout 5  >> wd.log
    call startNetWorkServer
    cd ..\..\wlp\startscripts\nanny
    echo Delete restartderby.flg. Set restartderby to be false...
    echo Delete restartderby.flg. Set restartderby to be false...  >> wd.log
    set restartderby=false
    erase restartderby.flg
  )
)


if "%startSlaveReplica%" == "true" (
    cd ..\..\..\derby\scripts 
    echo "Starting derby server for the slave replica mode..."
    START /MIN startNetWorkServer
    cd ..\..\wlp\startscripts
    
    timeout  4 >> wd.log   
    echo "Running startSlaveReplica with true..."
    START /MIN  replicaManager.bat	startSlaveReplicationMode
    cd nanny
    
    echo Delete startSlaveReplica.flg. Set startSlaveReplica to be false...
    echo Delete startSlaveReplica.flg. Set startSlaveReplica to be false...  >> wd.log
    set startSlaveReplica=false
    erase startSlaveReplica.flg
)


if "%startMasterReplica%" == "true" (
    echo "Waiting for 30 seconds before starting the db server..."
    timeout 30  >> wd.log
    cd ..\..\..\derby\scripts 
    echo "Starting derby server for the master replica mode..."
    START /MIN startNetWorkServer
   
    cd ..\..\wlp\startscripts
    timeout  2 >> wd.log    
    echo "Running startMasterReplica with true..."
    call replicaManager.bat   startMasterReplicationMode
    cd nanny
            
    echo Delete startMasterReplica.flg. Set startMasterReplica to be false...
    echo Delete startMasterReplica.flg. Set startMasterReplica to be false...  >> wd.log
    set startMasterReplica=false
    erase startMasterReplica.flg
)



GOTO LOOP




:DONE
@endlocal
