@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM
@REM  Usage:
@REM		restartServers.bat	<<restartAdminServers>>	 <<restartGridServers>>
@REM
@REM  <<restartAdminServers>>		Restart administrative servers flag
@REM  <<restartGridServers>>		Restart grid servers flag 

@REM **************************************
@REM Common variable
@REM **************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..
set derbyLoc=%scriptLoc%..\..\derby

@REM **************************************
@REM Handle parameters
@REM **************************************
set restartAdminServers=%1
set restartGridServers=%2

if '%restartAdminServers%'=='' (
	@echo Restart administrative servers flag not set.  Please check usage
	GOTO DisplayUsage
)
if '%restartGridServers%'=='' (
	@echo Restart grid servers flag size not set.  Please check usage
	GOTO DisplayUsage
)

@REM Source environment variables
call "%ecaasRoot%\wxs\exportCommons.bat"

@REM **************************************
@REM Call restart executable
@REM **************************************
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar

set cp=.;%tenantJarLoc%;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar

"%JAVA_CMD%" -classpath "%cp%" com.ibm.ws.xs.tenant.exec.RestartAllServersExec "%wlpLoc%" %restartAdminServers% %restartGridServers%

GOTO End

:DisplayUsage
@echo  ---------------------------------------------------
@echo  Usage:
@echo		restartServers.bat	<<restartAdminServers>>	 <<restartGridServers>>
@echo  <<restartAdminServers>>		Restart administrative servers flag
@echo  <<restartGridServers>>		Restart grid servers flag
@echo  ---------------------------------------------------

:End

