CREATE TABLE RuntimeSettings (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    Name VARCHAR(64) NOT NULL UNIQUE, 
    Value VARCHAR (600) NOT NULL,
    IsPasswd BOOLEAN NOT NULL,
    Updated BIGINT NOT NULL 
);


CREATE TABLE TempSettings (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    Name VARCHAR(64) NOT NULL UNIQUE, 
    Value VARCHAR (600) NOT NULL,
    IsPasswd BOOLEAN NOT NULL,
    Updated BIGINT NOT NULL 
);

ALTER TABLE TempSettings  
       ADD CONSTRAINT RUNTIMESETTINGS_FK 
       Foreign Key (Name)  
       REFERENCES RuntimeSettings (Name);
       

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('collective.SECRET_KEY', 'Y2hhbmdlNE1lIQ==', true, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('collective.DP_KEY', 'ZGF0YXBvd2VyNG1l', true, 111111);

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.isLdapEnabled', 'false', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.jndiURL', '', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.jndiBaseDNUser', '', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.jndiBaseDNGroup', '', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.searchFilter', '(&(uid={0})(objectclass=inetOrgPerson))', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.bind_DN', '', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('ldap.bind_pwd', '', true, 111111);

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('log.isSyslogEnabled', 'false', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('log.syslogServiceName', 'ironhide.canlab.ibm.com:514', false, 111111);

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('collective.assimuPort', '9445', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('collective.assimuProtocol', 'https', false, 111111);

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('traceSetting.XSLD', 'com.ibm.ws.xs.tenant.*=info=enabled', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('traceSetting.XS', 'ObjectGrid=info=enabled', false, 111111);

insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.smtp', 'ironhide.canlab.ibm.com', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.adminAddress', 'admin@localhost', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.port', '25', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.security', 'false', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.username', '', false, 111111);
insert into RuntimeSettings (Name, Value, IsPasswd, Updated) values ('email.password', '', false, 111111);


