set DERBY_HOME=%~dp0..\release
set derby.system.home=..\
set PATH=%PATH%;%DERBY_HOME%\bin
set DERBY_OPTS=-Dij.protocol=jdbc:derby://localhost/

set installDir=%~dp0\..\..\..

cd %~dp0

@REM Source environment variables
if exist "%DERBY_HOME%\..\..\exportCommons.bat" (
	call "%DERBY_HOME%\..\..\exportCommons.bat"
) else (
	call "%DERBY_HOME%\..\..\..\tenant.build\scripts\exportCommons.bat"
)

FOR /F "tokens=4 delims= " %%i in ('route print ^| find " 0.0.0.0"') do set localIp=%%i
echo Your IP Address is: %localIp%

@REM	start /b  java -jar %DERBY_HOME%\lib\derbyrun.jar server start -h 0.0.0.0

@REM if admin user install derby, otherwise just start it
net session >nul 2>&1
IF %ERRORLEVEL% EQU 0 (
	cd %installDir%\wlp\startscripts\nanny
	call installStartDerbyService.bat
	cd %~dp0
) ELSE (
	call startNetWorkServer.bat
)

echo Verifying if the DB files are presented...

IF exist .\./wxsdb\service.properties ( 
  echo  DB files exist, skip of loading data. 
)ELSE ( 
  echo Check if able to connect to derby
  Set COUNTER=0
  :CHECKCONNECTDERBY
  set /A COUNTER=COUNTER+1

  if "%COUNTER%" == "10" GOTO FAILED
  
  timeout /t 4
  
  echo Checking if able to connect to derby
  "%JAVA_CMD%" -jar "%DERBY_HOME%\lib\derbyrun.jar"  ij testconnect.sql | find /i "ERROR" 
  
  IF %ERRORLEVEL% EQU 0 GOTO CHECKCONNECTDERBY
  
  echo Configuring database
  "%JAVA_CMD%" -Dij.outfile="%DERBY_HOME%\..\scripts\configure.log" -jar "%DERBY_HOME%\lib\derbyrun.jar"  ij dbconfigure.sql 
  echo Creating a flag to indicate it is the initial deployment.
  echo. 2>initDeploy.flg
  echo Creating a flag to force changing db password
  echo. 2>dbPwdUpdate.flg
  
)

GOTO END

:FAILED
echo 'Could not connect to derby,  cleaning up and exiting...'
cd %installDir%\wlp\startscripts\nanny
"%JAVA_CMD%" -jar wrapper.jar -rw conf\derbyWrapper.conf
cd %~dp0

EXIT /B 1

:END
echo Finished loading schema
