CREATE TABLE Tasks (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    TaskCommand VARCHAR(256) NOT NULL, 
    Owner VARCHAR(64) NOT NULL,
    Description VARCHAR(128),
    InputParameters BLOB,
    Started BIGINT,
    NextStarted BIGINT,
    Results BLOB,
    CurrentStatus VARCHAR(20) NOT NULL,
    Progress CLOB,
    PercentComplete DECIMAL(3,2) DEFAULT 0, 
    Created BIGINT NOT NULL,
    Updated BIGINT NOT NULL 
);

CREATE TABLE QUEUE (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    TaskId BIGINT NOT NULL UNIQUE
);

CREATE TABLE TASKDEMONLOCK (
 	Owner VARCHAR(128) NOT NULL UNIQUE,
    TimeStamp BIGINT NOT NULL UNIQUE
);

CREATE TABLE TASKSCHEDULERLOCK (
    Owner VARCHAR(128) NOT NULL UNIQUE,
    TimeStamp BIGINT NOT NULL UNIQUE
);

insert into Tasks (TaskCommand, Owner, Description, InputParameters, Started, NextStarted, Results, CurrentStatus, Progress, PercentComplete, Created, Updated) values ('StatTaskCommand', 'xsadmin', 'Collect grid and map statistics', null, 1000, 421000, null, 'Scheduled', null, 0, 1000, 1000);